summaryrefslogtreecommitdiff
path: root/v-i.sh
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2019-12-25 15:22:15 +0200
committerLars Wirzenius <liw@liw.fi>2020-02-29 10:48:03 +0200
commite2762720881ff3cfc91bf25605df0f3afcb3dccd (patch)
tree11d0cc1c7b2244cea049b41645177e4b19060821 /v-i.sh
parent0fa9b518f3244f46edd272419c97e8bf6348d70d (diff)
downloadv-i-e2762720881ff3cfc91bf25605df0f3afcb3dccd.tar.gz
Add: script to build v-i image
Diffstat (limited to 'v-i.sh')
-rwxr-xr-xv-i.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/v-i.sh b/v-i.sh
new file mode 100755
index 0000000..e1e5084
--- /dev/null
+++ b/v-i.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -eu -o pipefail
+
+tarball="$1"
+
+vmdb2 --output v-i.img --log v-i.log v-i.vmdb \
+ --verbose --rootfs-tarball "$tarball"
+